# eric4.IconEditor.IconEditorPalette

Module implementing a palette widget for the icon editor.

### Global Attributes

None

### Classes

IconEditorPalette | Class implementing a palette widget for the icon editor.

### Functions

None

## IconEditorPalette

Class implementing a palette widget for the icon editor.

### Signals

colorSelected(QColor)
  emitted after a new color has been selected

### Derived from

QWidget

### Class Attributes

None

### Class Methods

None

### Methods

IconEditorPalette | Constructor
__alphaChanged | Private slot to track changes of the alpha channel.
__selectColor | Private slot to select a new drawing color.
colorChanged | Public slot to update the color preview.
previewChanged | Public slot to update the preview.

### Static Methods

None

#### IconEditorPalette (Constructor)

IconEditorPalette(parent = None)

Constructor

parent
  reference to the parent widget (QWidget)

#### IconEditorPalette.__alphaChanged

__alphaChanged(val)

Private slot to track changes of the alpha channel.

val
  value of the alpha channel

#### IconEditorPalette.__selectColor

__selectColor()

Private slot to select a new drawing color.

#### IconEditorPalette.colorChanged

colorChanged(color)

Public slot to update the color preview.

#### IconEditorPalette.previewChanged

previewChanged(pixmap)

Public slot to update the preview.

Up